| Kea 3.0.2-git

rrtype.h File Reference
`#include <stdint.h>`
`#include <string>`
`#include <ostream>`
`#include <dns/exceptions.h>`
`#include <util/buffer.h>`
Include dependency graph for rrtype.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::dns::IncompleteRRType
| A standard DNS module exception that is thrown if an RRType object is being constructed from a incomplete (too short) wire-format data. More...
class | isc::dns::InvalidRRType
| A standard DNS module exception that is thrown if an RRType object is being constructed from an unrecognized string. More...
class | isc::dns::RRType
| The `RRType` class encapsulates DNS resource record types. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dns

## Functions
ostream & | isc::dns::operator<< (std::ostream &os, const RRType &rrtype)
| Insert the `RRType` as a string into stream.